Subject: Re: bug#1741: 23.0.60; vc fail to register file while logged as /su:: with tramp

From: Stefan Monnier <[email-masked]>
Date: Thu, 09 Apr 2009 14:23:37 -0400

>> I'd rather find a more generic fix.  E.g. can't you flush the cache when
>> handling process-file?
> That would be too invasive, I believe. The whole cache would be flushed,
> even all data which are not related too.

It should be safe to only flush data related to the relevant host.

> And there might be the case, that a file is registered in RCS (or
> whatever backend is used) outside Emacs. Tramp would still have stale
> cache data for "/su:root@localhost:/tmp/RCS/blah,v" then.

This is unrelated to RCS, and is indeed a real problem.  For that reason
I'd expect the cache to be flushed very often, yes.  E.g. in
post-command-hook.  When do you flush it currently?

        Stefan